Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04137 Color/Palette Minor Always Dec 13, 2010, 01:35 May 22, 2021, 16:59
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To M.A.S.H. Resolution Fixed OS
Status [?] Resolved Driver cclimber.cpp
Version 0.140u2 Fixed in Version 0.140u3 Build
Fixed in Git Commit 4c74b7b Github Pull Request #
Summary 04137: rpatrol, rpatrolb: Wrong sprite colors.
Description The picture from
http://homepage2.nifty.com/totochan/y-natsuyoko2.html
shows the attract mode of River Patrol (see screenshot).
I have made a snapshot of the same scene in MAME (see 2nd screenshot).
The colors of the boat sprite is different to the one in MAME.
It is green with a red window and in MAME it is red with a green window.


Update: Found the 'Regression Version'. It was in MAME 0.53.
MAME 0.53: Swapped gfx2 roms ($0, 800).
If you swapped it back, the colors are correct.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version 0.53
Affected Sets / Systems rpatrol, rpatrolb
Attached Files
jpg file icon yugi-retrokan-rpatrol.JPG (50,172 bytes) Dec 13, 2010, 01:35
png file icon rpatrol.png (6,372 bytes) Dec 13, 2010, 01:35
jpg file icon river_patrol_instruction_card_orig.jpg (299,111 bytes) May 22, 2021, 10:03 Uploaded by jkburks
River Patrol Instruction Card - Original
jkburks
jpg file icon river_patrol_instruction_card.jpg (138,786 bytes) May 22, 2021, 10:04 Uploaded by jkburks
River Patrol Instruction Card - possible bootleg
jkburks
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.06927
hap
Developer
Dec 17, 2010, 16:57
fixed, thanks
User avatar
No.18875
jkburks
Tester
May 22, 2021, 09:52
edited on: May 22, 2021, 09:59
This change was made in error and should be corrected.

The submitted photo is clearly a HIRO bootleg.
So this change altered the originals to match the bootleg.

The boat should be red on authentic Orca boards.
All of the instruction cards, whether original or bootleg, show a red boat.

There are numerous photos of this game in Japanese retro arcades on twitter.
I will provide a number of links as proof.

The bootleg makes 3 changes to the original game.
1. Orca copyright removed from the title screen.
2. Default high scores changed from ORCA to HIRO.
3. Boat color inverted from Red to Green.

Amano Game Museum HIRO bootleg green boat.
https://twitter.com/amahaku0011/status/941938076862971906
https://twitter.com/syou526/status/947066087920644096

HIRO bootleg loose PCB green boat
https://twitter.com/fukuoka_game/status/1281809234082926592

Orca label PCB – video red boat + card
https://twitter.com/wakuwaku1/status/1122283439644798976

BEEP shop Orca red boat loose PCB
https://twitter.com/BEEP_akihabara/status/1024627659316162560

Orca original manual and instruction card – red boat
https://twitter.com/HirofumiIwasaki/status/1384852350062452737

Retrogames Zarigani – Orca red boat
https://twitter.com/Shimoji2/status/1368854795193176065
https://twitter.com/m_mkonbelon/status/1189157541042745345
https://twitter.com/saladbarM/status/1020983808558952449
https://twitter.com/miki800/status/967641227880316928

cocktail hardware video of red boat – high scores overwritten.
https://twitter.com/wakuwaku1/status/1147424146730577920

Orca red boat + card
https://twitter.com/orion80/status/1274624397223944193

Orca red boat at Sanjo CUE
https://twitter.com/CueRetog/status/1011961870192742401

Orca red boat
https://twitter.com/sagisagisagirin/status/1061612100844322816

Orca red boat
https://twitter.com/gorry5/status/1084373255471882240

HIRO board with red boat, but may have been patched.
It is also possible that some HIRO bootlegs have the red boat.
https://twitter.com/TOM_KOCHI/status/1269234272834994177
User avatar
No.18876
hap
Developer
May 22, 2021, 13:00
Ok, I'll update the driver